Skip to main content
GET
/
courses
/
{courseId}
/
sections
List
curl --request GET \
  --url https://api.mapademics.com/v1/courses/{courseId}/sections \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "<string>",
    "courseId": "<string>",
    "name": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "organizationId": "<string>",
    "description": "<string>",
    "instructorId": "<string>",
    "syllabusHref": "<string>",
    "skills": [
      {
        "skillId": "<string>",
        "level": 3,
        "skillName": "<string>",
        "confidence": 0.5
      }
    ],
    "deletedAt": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mapademics.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

courseId
string
required

Unique identifier for the course

Response

Sections retrieved successfully

id
string
required
courseId
string
required
name
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
organizationId
string
description
string | null
instructorId
string | null
syllabusHref
string<uri> | null
skills
object[]

Extracted skills from syllabus

deletedAt
string<date-time> | null